curl --request POST \
--url https://api.dugble.com/contact-properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "company_name",
"type": "string",
"fallback_value": "Unknown"
}
'{
"success": true,
"data": {
"object": "contact_property",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Contact Properties
Create Contact Property
Creates a typed custom property definition for contacts. Property keys are unique within the team.
POST
/
contact-properties
curl --request POST \
--url https://api.dugble.com/contact-properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "company_name",
"type": "string",
"fallback_value": "Unknown"
}
'{
"success": true,
"data": {
"object": "contact_property",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Body
application/json
Unique property key containing only letters, numbers, and underscores.
Required string length:
1 - 50Pattern:
^[A-Za-z0-9_]+$Declared value type for the property.
Available options:
string, number Fallback value. Non-null values must match the contact property's declared type.